﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Data;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace XamGridDateColumn
{
    /// <summary>
    /// Interaction logic for usrConfig.xaml
    /// </summary>
    public partial class usrConfig : UserControl
    {
        public MainWindow _mainWinObj;
        private DataTable _dtPersons;

        //private ObservableCollection<Person> col;
        //public ObservableCollection<Person> Col
        //{
        //    get { return col; }
        //    set
        //    {
        //        col = value;
        //        //NotifyPropertyChanged("Col");
        //    }
        //}

        public usrConfig()
        {
            InitializeComponent();

            //Col = new ObservableCollection<Person>();
            //Col.Add(new Person() { Name = "Johny", Age = 30, StartDate = DateTime.Now, EndDate = DateTime.Now.AddDays(1) });
            //Col.Add(new Person() { Name = "Jim", Age = 40, StartDate = DateTime.Now, EndDate = DateTime.Now.AddDays(1) });
            //Col.Add(new Person() { Name = "Jack", Age = 50, StartDate = DateTime.Now, EndDate = DateTime.Now.AddDays(1) });
            //DataContext = this;

            _dtPersons = new DataTable();
            _dtPersons.Columns.Add("FiscalPeriod");
            _dtPersons.Columns.Add("Label");
            _dtPersons.Columns.Add("StartofPeriod");
            _dtPersons.Columns.Add("EndofPeriod");

            for (int i = 0; i < 5; i++)
            {
                _dtPersons.Rows.Add("FiscalPeriod" + (i + 1), ((i + 1) * 10), DateTime.Now, DateTime.Now.AddDays(1));
            }

        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            DateConfig _objADC = new DateConfig();
            Style s = (Style)_objADC.TryFindResource("XamDialogWindowStyle");
            _objADC.Style = s;
            _objADC.AdvDateConfig = _dtPersons;
            //_objADC.Person = col;
            _mainWinObj.container.Children.Add(_objADC);
        }
      



    }


    public class Person : INotifyPropertyChanged
    {
        String fiscalPeriod;

        public String FiscalPeriod
        {
            get { return fiscalPeriod; }
            set
            {
                fiscalPeriod = value;
                NotifyPropertyChanged("FiscalPeriod");
            }
        }
        int age;

        public int Label
        {
            get { return age; }
            set
            {
                age = value;
                NotifyPropertyChanged("Label");
            }
        }
        DateTime startDate;

        public DateTime StartDate
        {
            get { return startDate; }
            set
            {
                startDate = value;
                NotifyPropertyChanged("StartDate");
            }
        }

        DateTime endDate;

        public DateTime EndDate
        {
            get { return endDate; }
            set
            {
                endDate = value;
                NotifyPropertyChanged("EndDate");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void NotifyPropertyChanged(String info)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(info));
            }
        }
    }
}
